List transfers
curl --request GET \
--url https://api.yara.cash/v1/transfers \
--header 'X-Yara-API-Key: <api-key>'import requests
url = "https://api.yara.cash/v1/transfers"
headers = {"X-Yara-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Yara-API-Key': '<api-key>'}};
fetch('https://api.yara.cash/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2026-06-16T03:00:00Z",
"destination_amount": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
},
"destination_rail": "US_BANK_ACCOUNT",
"funding": {
"bank_transfer": {
"account_name": "Yara",
"account_number": "1234567890",
"bank_code": "035",
"bank_name": "Wema Bank",
"narration": "funding-76179a66869547fdbca4310eaa816077",
"reference": "funding-76179a66869547fdbca4310eaa816077"
},
"crypto_deposit": {
"address": "0x1234",
"asset": "USDC",
"memo": "<string>",
"network": "BASE",
"reference": "funding-76179a66869547fdbca4310eaa816077"
},
"expires_at": "<string>",
"flag": {
"code": "AMOUNT_MISMATCH",
"message": "Funding amount does not match the expected amount"
},
"id": "<string>",
"method": "BANK_TRANSFER",
"required_amount": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
},
"status": "PENDING"
},
"funding_method": "BALANCE",
"funding_receipts": [
{
"expected_amount": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
},
"fee_usd": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
},
"flag": {
"code": "AMOUNT_MISMATCH",
"message": "Funding amount does not match the expected amount"
},
"gross_usd": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
},
"id": "<string>",
"method": "CRYPTO_DEPOSIT",
"net_usd": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
},
"provider_transaction_id": "<string>",
"received_amount": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
},
"received_at": "<string>",
"status": "CREDITED",
"variance_amount": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
}
}
],
"id": "76179a66-8695-47fd-bca4-310eaa816077",
"quote_id": "0e0f7b9c-f47b-4f42-b56e-991b8f7a1cb3",
"recipient_id": "3bf24579-a35a-4ba9-a936-5df9c1d809f9",
"reference": "merchant-transfer-001",
"status": "RESERVED",
"total_debit": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
},
"transfer_fee": {
"asset": "USDC",
"currency": "USD",
"network": "BASE",
"value": "100.00"
},
"updated_at": "2026-06-16T03:01:00Z"
}
],
"meta": {
"limit": 50,
"page": 1,
"total": 42,
"total_pages": 1
}
}{
"error": {
"code": "validation_error",
"message": "invalid JSON body"
}
}Transfers
List transfers
Lists merchant transfer intents.
GET
/
v1
/
transfers
List transfers
Authorizations
Public merchant API key. You can also send Authorization: ApiKey .
Query Parameters
Number of results per page (default: 50, max: 200)
Required range:
1 <= x <= 200Page number (default: 1)
Required range:
x >= 1⌘I